From 68da796f80c89aa048f2bd2feb0bfd653d586a3c Mon Sep 17 00:00:00 2001
From: ace20022 <ace20022@ymail.com>
Date: Mon, 22 Sep 2014 10:14:58 +0200
Subject: [PATCH 2/2] Fix jar resource urls fixing.

---
 src/libbluray/bdj/java/java/io/FileInputStream.java | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/src/libbluray/bdj/java/java/io/FileInputStream.java b/src/libbluray/bdj/java/java/io/FileInputStream.java
index 464e42c..627dfab 100644
--- a/src/libbluray/bdj/java/java/io/FileInputStream.java
+++ b/src/libbluray/bdj/java/java/io/FileInputStream.java
@@ -83,9 +83,11 @@ public class FileInputStream extends InputStream
         }
 
         /* J2SE URL.getPath() returns file:/xxx.jar!/... for jar resource urls ... */
-        if (name.indexOf("file:/") == 0 && name.indexOf(".jar!/") > 0) {
+        if (name.indexOf(".jar!") > 0) {
             logger.error("Fixing invalid resource url: " + name);
-            name = name.substring(name.indexOf(".jar!") + 6);
+            name = name.substring(name.indexOf(".jar!") + 5);
+            while (name.startsWith("/") || name.startsWith("\\"))
+                name = name.substring(1);
         }
 
         /* try to locate file in Xlet home directory (inside JAR file) */
-- 
1.9.2.msysgit.0

